<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Firma\KursUebersicht\Detailsreiter\Feedback;

class FeedbackFormularController extends \Kufer\Web\KuferTools\Basis\KursDetails\Feedback\FeedbackFormularController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new FeedbackFormularUseCase($this->getRequestObj());
  }

  protected function getRequestObj()
  {
    $requestObj = new FeedbackFormularRequest();
    $requestObj->knr = \GetOperations::getVarValue('knr');
    $requestObj->belegId = \GetOperations::getVarValue('belid');

    return $requestObj;
  }
}